#include "mytextedit.h"

MyTextEdit::MyTextEdit (QWidget * parent)
  : QTextEdit (parent)
{

}

#include <QMimeData>
#include <QDragEnterEvent>

void MyTextEdit::dragEnterEvent(QDragEnterEvent *event)
{
   const QMimeData * data = event->mimeData();
   if (data->hasText())
       event->acceptProposedAction ();
}

void MyTextEdit::dropEvent(QDropEvent *event)
{
    const QMimeData * data = event->mimeData();
    if (data->hasText())
    {
        QString s = data->text();
        if (! data->hasColor())
           this->append (s);
        else
        {
           QColor color = qvariant_cast <QColor> (data->colorData());
           this->setTextColor (color);
           this->append (s);
        }
    }

}
